# Interface IRangeValue

Describes a single range value in a group by request or facet request.

## Index

### Properties

- end
- endInclusive
- label
- start

## Properties

### Optional end

end: RangeType

- Defined in rest/RangeValue.ts :28

The value to end the range at.

Examples:

> - `500`
> - `2018-12-31T23:59:59.999Z`

### Optional endInclusive

endInclusive: boolean

- Defined in rest/RangeValue.ts :42

Whether to include the `end` value in the range.

### Optional label

label: string

- Defined in rest/RangeValue.ts :37

The label to associate with the range value.

Examples:

> - `0 - 500`
> - `In 2018`

### Optional start

start: RangeType

- Defined in rest/RangeValue.ts :19

The value to start the range at.

Examples:

> - `0`
> - `2018-01-01T00:00:00.000Z`

### Hierarchy

- IRangeValue